<!--*******************************************-->
<nav class="main-header navbar navbar-expand navbar-white navbar-light">
  <!-- Left navbar links -->
  <ul class="navbar-nav">
    <li class="nav-item">
      <a class="nav-link" data-widget="pushmenu"  role="button"><i class="fas fa-bars"></i></a>
    </li>
<!--    <li  class="nav-item d-none d-sm-inline-block">-->
<!--      <a (show)="false" href="/login" routerLink="login" class="nav-link">Home</a>-->
<!--    </li>-->
<!--    <li class="nav-item d-none d-sm-inline-block">-->
<!--      <a href="#" class="nav-link">Contact</a>-->
<!--    </li>-->
  </ul>



  <!-- Right navbar links -->
  <ul class="navbar-nav ml-auto">
    <!-- Messages Dropdown Menu -->
    <li class="nav-item dropdown" *ngIf="isLoggedIn">
      <a class="nav-link" data-toggle="dropdown" href="#">
        <i class="far fa-comments"></i>
        <span *ngIf="lastMessages.length - countUnseen()>0" class="badge badge-primary navbar-badge">{{lastMessages.length - countUnseen()}}</span>
      </a>
      <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
        <a class="dropdown-item">
          <!-- Message Start -->
          <div *ngFor="let m of lastMessages" class="media">
            <!--            <img src="assets/img/user1-128x128.jpg" alt="User Avatar" class="img-size-50 mr-3 img-circle">-->
            <app-navbar-notif-photo *ngIf="isSender(m)" [id]="m.receiverId"></app-navbar-notif-photo>
            <app-navbar-notif-photo *ngIf="!isSender(m)" [id]="m.senderId"></app-navbar-notif-photo>

            <!--           <app-chat-photo *ngIf="isSender(m)" [senderId]="m.receiverId"></app-chat-photo>-->
            <!--            <app-chat-photo *ngIf="!isSender(m)" [senderId]="m.senderId"></app-chat-photo>-->
            <div class="media-body" style="cursor: pointer">
              <h3 *ngIf="isSender(m)" [routerLink]="['/chatroom',m.receiverId]" class="dropdown-item-title">
                {{m.receiverId}}
                <!--                <span class="float-right text-sm text-danger"><i class="fas fa-star"></i></span>-->
              </h3>
              <h3 *ngIf="!isSender(m)" [routerLink]="['/chatroom',m.senderId]" class="dropdown-item-title" >
                {{m.senderId}}
                <!--                <span class="float-right text-sm text-danger"><i class="fas fa-star"></i></span>-->
              </h3>
              <p class="text-sm" style="margin-top: -20px">{{m.senderId}} : {{m.content}}</p>
              <p class="text-sm text-muted" style="margin-top: -15px" ><i class="far fa-clock mr-1"></i> {{m.sentAt | date:'MMM d, y, h:mm a'}} </p>
              <div class="dropdown-divider" *ngIf="(lastMessages.length>1)"></div>
            </div>

          </div>
          <!-- Message End -->
        </a>
        <!--        <div class="dropdown-divider"></div>-->
        <!--        <div class="dropdown-divider"></div>-->
        <!--        <a  class="dropdown-item dropdown-footer">See All Messages</a>-->
      </div>
    </li>
    <!-- Notifications Dropdown Menu -->
    <li class="nav-item dropdown" *ngIf="isLoggedIn">
      <a class="nav-link" data-toggle="dropdown" href="#">
        <i class="far fa-bell"></i>
        <span *ngIf="notifications.length>0" class="badge badge-primary navbar-badge">{{notifications.length}}</span>
      </a>
      <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
        <span class="dropdown-item dropdown-header">{{notifications.length}} Notifications</span>
        <div class="dropdown-divider"></div>
        <a href="#" class="dropdown-item" (click)="checkNotification()" [routerLink]="['/notification']">
          <i class="fas fa-envelope mr-2"></i> {{notifications.length}} new notifications
          <!--          <span class="float-right text-muted text-sm">3 mins</span>-->
        </a>
        <div class="dropdown-divider"></div>

        <a href="#" class="dropdown-item dropdown-footer">See All Notifications</a>
      </div>
    </li>
    <li class="nav-item" *ngIf="isLoggedIn">
      <a class="nav-link" (click)="logout()">
        <i class="fas fa-sign-out-alt"></i>
      </a>
    </li>
  </ul>
</nav>








<!--*******************************************-->
<!--&lt;!&ndash; Navbar &ndash;&gt;-->
<!--<nav class="main-header navbar navbar-expand-md navbar-white navbar-light">-->
<!--  &lt;!&ndash; Left navbar links &ndash;&gt;-->
<!--  <ul class="navbar-nav">-->
<!--    <li class="nav-item">-->
<!--      <a class="nav-link" data-widget="pushmenu" href="#"><i class="fas fa-bars"></i></a>-->
<!--    </li>-->
<!--    <li class="nav-item d-none d-sm-inline-block">-->
<!--      <a href="/login" routerLink="login" class="nav-link">Home</a>-->
<!--    </li>-->
<!--    <li class="nav-item d-none d-sm-inline-block">-->
<!--      <a href="#" class="nav-link">Contact</a>-->
<!--    </li>-->
<!--  </ul>-->

<!--  &lt;!&ndash; SEARCH FORM &ndash;&gt;-->


<!--  &lt;!&ndash; Right navbar links &ndash;&gt;-->
<!--  <ul class="navbar-nav ml-auto">-->

<!--    &lt;!&ndash; Messages Dropdown Menu &ndash;&gt;-->

<!--    <li class=" nav-item dropdown" *ngIf="isLoggedIn">-->
<!--      <a class="nav-link" data-toggle="dropdown" >-->
<!--        <i class="far fa-comments"></i>-->
<!--        <span class="badge badge-primary navbar-badge">{{lastMessages.length}}</span>-->
<!--      </a>-->
<!--      <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">-->
<!--        <a class="dropdown-item">-->
<!--          &lt;!&ndash; Message Start &ndash;&gt;-->
<!--          <div *ngFor="let m of lastMessages" class="media">-->
<!--&lt;!&ndash;            <img src="assets/img/user1-128x128.jpg" alt="User Avatar" class="img-size-50 mr-3 img-circle">&ndash;&gt;-->
<!--            <app-navbar-notif-photo *ngIf="isSender(m)" [id]="m.receiverId"></app-navbar-notif-photo>-->
<!--            <app-navbar-notif-photo *ngIf="!isSender(m)" [id]="m.senderId"></app-navbar-notif-photo>-->

<!--            &lt;!&ndash;           <app-chat-photo *ngIf="isSender(m)" [senderId]="m.receiverId"></app-chat-photo>&ndash;&gt;-->
<!--&lt;!&ndash;            <app-chat-photo *ngIf="!isSender(m)" [senderId]="m.senderId"></app-chat-photo>&ndash;&gt;-->
<!--            <div class="media-body">-->
<!--              <h3 *ngIf="isSender(m)" [routerLink]="['/discussion',m.receiverId]" class="dropdown-item-title">-->
<!--                {{m.receiverId}}-->
<!--&lt;!&ndash;                <span class="float-right text-sm text-danger"><i class="fas fa-star"></i></span>&ndash;&gt;-->
<!--              </h3>-->
<!--              <h3 *ngIf="!isSender(m)" [routerLink]="['/discussion',m.senderId]" class="dropdown-item-title" >-->
<!--                {{m.senderId}}-->
<!--&lt;!&ndash;                <span class="float-right text-sm text-danger"><i class="fas fa-star"></i></span>&ndash;&gt;-->
<!--              </h3>-->
<!--              <p class="text-sm" style="margin-top: -20px">{{m.senderId}} : {{m.content}}</p>-->
<!--              <p class="text-sm text-muted" style="margin-top: -15px" ><i class="far fa-clock mr-1"></i> {{m.sentAt | date:'MMM d, y, h:mm a'}} </p>-->
<!--              <div class="dropdown-divider"></div>-->
<!--            </div>-->

<!--          </div>-->
<!--          &lt;!&ndash; Message End &ndash;&gt;-->
<!--        </a>-->
<!--&lt;!&ndash;        <div class="dropdown-divider"></div>&ndash;&gt;-->
<!--&lt;!&ndash;        <div class="dropdown-divider"></div>&ndash;&gt;-->
<!--&lt;!&ndash;        <a  class="dropdown-item dropdown-footer">See All Messages</a>&ndash;&gt;-->
<!--      </div>-->
<!--    </li>-->


<!--    &lt;!&ndash; Notifications Dropdown Menu &ndash;&gt;-->
<!--    <li class="nav-item dropdown" *ngIf="isLoggedIn">-->

<!--      <a class="nav-link" data-toggle="dropdown" href="#">-->
<!--        <i class="far fa-bell"></i>-->
<!--        <span *ngIf="notifications.length>0" class="badge badge-primary navbar-badge">{{notifications.length}}</span>-->
<!--      </a>-->
<!--      <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">-->
<!--        <span class="dropdown-item dropdown-header">{{notifications.length}} Notifications</span>-->
<!--        <div class="dropdown-divider"></div>-->
<!--        <a href="#" class="dropdown-item" (click)="checkNotification()" [routerLink]="['/notification']">-->
<!--          <i class="fas fa-bell mr-2"></i> {{notifications.length}} new notifications-->
<!--&lt;!&ndash;          <span class="float-right text-muted text-sm">3 mins</span>&ndash;&gt;-->
<!--        </a>-->
<!--&lt;!&ndash;        <div class="dropdown-divider"></div>&ndash;&gt;-->
<!--&lt;!&ndash;        <a href="#" class="dropdown-item">&ndash;&gt;-->
<!--&lt;!&ndash;          <i class="fas fa-users mr-2"></i> 8 friend requests&ndash;&gt;-->
<!--&lt;!&ndash;          <span class="float-right text-muted text-sm">12 hours</span>&ndash;&gt;-->
<!--&lt;!&ndash;        </a>&ndash;&gt;-->
<!--&lt;!&ndash;        <div class="dropdown-divider"></div>&ndash;&gt;-->
<!--&lt;!&ndash;        <a href="#" class="dropdown-item">&ndash;&gt;-->
<!--&lt;!&ndash;          <i class="fas fa-file mr-2"></i> 3 new reports&ndash;&gt;-->
<!--&lt;!&ndash;          <span class="float-right text-muted text-sm">2 days</span>&ndash;&gt;-->
<!--&lt;!&ndash;        </a>&ndash;&gt;-->
<!--&lt;!&ndash;        <div class="dropdown-divider"></div>&ndash;&gt;-->
<!--&lt;!&ndash;        <a href="#" class="dropdown-item dropdown-footer">See All Notifications</a>&ndash;&gt;-->
<!--      </div>-->
<!--    </li>-->

<!--    <li class="nav-item" *ngIf="!isLoggedIn">-->
<!--      <a class="nav-link" data-widget="control-sidebar" data-slide="true">-->
<!--        <i href="/login" routerLink="login" class="ion-log-in"></i></a>-->
<!--    </li>-->
<!--    <li class="nav-item" *ngIf="!isLoggedIn">-->
<!--      <a class="nav-link" data-widget="control-sidebar" data-slide="true" href="#">-->
<!--        <i href="/register" routerLink="register" class="ion-ios-personadd-outline"></i></a>-->
<!--    </li>-->
<!--    <li class="nav-item" *ngIf="isLoggedIn">-->
<!--    <a class="nav-link" (click)="logout()" *ngIf="isLoggedIn"><i class="ion-log-out"></i></a>-->
<!--    </li>-->
<!--  </ul>-->
<!--</nav>-->
<!--&lt;!&ndash; /.navbar &ndash;&gt;-->


